package net.northking.cctp.scriptcase.dto.caseDataSet;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;

public class SetTreeDto {
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 脚本目录ID<br>
     */
    @ApiModelProperty("脚本目录ID")
    @Size(max = 32, message="脚本目录ID-groupId: 数据长度不能 > 32" )
    private String groupId;
    /**
     * 脚本名称<br>
     */
    @ApiModelProperty("脚本名称")
    @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
    private String scriptName;
    /**
     * 脚本类型<br>
     */
    @ApiModelProperty("脚本类型")
    @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
    private String scriptType;

    @ApiModelProperty("版本")
    private String version;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    private String projectId;

    @ApiModelProperty("目录类型 0是一般用例集 1是场景用例集")
    private String menuType;

    @ApiModelProperty("修改人")
    private String updateBy;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getMenuType() {
        return menuType;
    }

    public void setMenuType(String menuType) {
        this.menuType = menuType;
    }
}
